@echo off
::call setZBNFJAX_HOME.bat
set ZBNFJAX_HOME=%CD%/zbnfjax

REM PATH where the scl-file-path in the VariablenConfiguration starts
set SRCPATHscl=src_SCL

REM The config file is this batch file itself.
set INPUT=genOamVariable.bat

if not exist result mkdir result

REM Output for GUI
set OAMGUI=result/oamVar.cfg

REM Output for scl-File. This file is to translate in the S7-Project.
set OUTSCL=result/oam_Variables.SCL


REM call the converter:
echo on

java -cp ../../zbnfjax/zbnf.jar org.vishia.sclConversions.SCLstruct2Lists -srcpath=%SRCPATHscl% -cfg=%INPUT% -scl=%OUTSCL% -sclCtrl=zmake/sclVar.scl.genctrl -oam=%OAMGUI% -oamCtrl=zmake/sclVar.cfg.genctrl -z=../../zbnfjax/zbnf --rlevel:334 --report:%OAMGUI%.rpt
echo off

pause
exit

REM This statements are outside of the batch-process. The configuration starts with the next label!

==VariablenConfiguration==
#WinCC-Variablenimport Config-File.

startOffset = 24;

struct InspcTelgHead_t:* @ DB9999.DBB0, Type: InspcTelgHead_t.SCL;
struct InspcitemHead_t:* @ DB9999.DBB0, Type: InspcitemHead_t.SCL;
struct MsgTrigger_t: st/msgTg* Type=MsgTrigger.SCL;

##variable:head/* @ DB2903.DBB0, Type: Oam_VariablesHead.SCL;

variable:ainp/*     @ DB2650.DBB0, Type=AnlgInp.SCL;

variable:sw/*        @ DB5700.DBB0, DBname=VersionD, Type=Version.SCL;
variable: inp/* @ DB2470.DBB0, DBname=Oam_UdpRxD, Type=Oam_UdpRx.SCL;

